summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Richardson <mcr@sandelman.ca>2020-02-11 19:01:01 +0100
committerMichael Richardson <mcr@sandelman.ca>2020-02-29 18:25:45 -0500
commit36308addda2d8a8926f125e82c30fc7130c3df8e (patch)
treed43f682273446dfd1cedb1baba41b672e76d1497
parent2aa5e5fe7d82e5fbdf0547164926efa893a84a34 (diff)
downloadtcpdump-additional-changes-to-testrun.tar.gz
note if testlist fails to evaluate, and clear variable to avoid repeating previous testsadditional-changes-to-testrun
-rwxr-xr-xtests/TESTrun4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/TESTrun b/tests/TESTrun
index 3fe542fb..c131878d 100755
--- a/tests/TESTrun
+++ b/tests/TESTrun
@@ -301,7 +301,7 @@ sub runOneComplexTest {
sub runComplexTests {
my @files = glob( $testsdir . '/*.tests' );
foreach $file (@files) {
- my @testlist = undef;
+ my $testlist = undef;
my $definitions;
print "FILE: ${file}\n";
open(FILE, "<".$file) || die "can not open $file: $!";
@@ -311,7 +311,7 @@ sub runComplexTests {
}
close(FILE);
#print "STUFF: ${definitions}\n";
- eval $definitions;
+ eval $definitions || die "Failed to process from $file";
if(defined($testlist)) {
#use Data::Dumper;
#print Dumper($testlist);